rapidjson::AutoUTFInputStream< CharType, InputByteStream > Class Template Reference

Input stream wrapper with dynamically bound encoding and automatic encoding detection. More...

`#include <encodedstream.h>`

## Public Types

typedef CharType | Ch

## Public Member Functions

| AutoUTFInputStream (InputByteStream &is, UTFType type=kUTF8)
| Constructor. More...
UTFType | GetType () const
bool | HasBOM () const
Ch | Peek () const
Ch | Take ()
size_t | Tell () const
void | Put (Ch)
void | Flush ()
Ch * | PutBegin ()
size_t | PutEnd (Ch *)

## Detailed Description

### template<typename CharType, typename InputByteStream>
class rapidjson::AutoUTFInputStream< CharType, InputByteStream >

Input stream wrapper with dynamically bound encoding and automatic encoding detection.

Template Parameters

  CharType | Type of character for reading.
  InputByteStream | type of input byte stream to be wrapped.

## Constructor & Destructor Documentation

template<typename CharType, typename InputByteStream>

rapidjson::AutoUTFInputStream< CharType, InputByteStream >::AutoUTFInputStream | ( | InputByteStream & | is,
|  | UTFType | type = `kUTF8`
| ) |  |

inline

Constructor.

Parameters

  is | input stream to be wrapped.
  type | UTF encoding type if it is not detected from the stream.

The documentation for this class was generated from the following file:

- include/rapidjson/encodedstream.h